> ## Documentation Index
> Fetch the complete documentation index at: https://docs.immutable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get collection by contract address

> Get collection by contract address



## OpenAPI

````yaml https://imx-openapiv3-mr-sandbox.s3.us-east-2.amazonaws.com/openapi.json get /v1/chains/{chain_name}/collections/{contract_address}
openapi: 3.0.3
info:
  title: Immutable zkEVM API
  version: 1.0.0
  description: Immutable Multi Rollup API
  contact:
    name: Immutable API Support
    email: support@immutable.com
    url: https://support.immutable.com
servers:
  - url: https://api.sandbox.immutable.com
security: []
tags:
  - name: activities
    description: Activities Endpoints
    x-displayName: activities
  - name: chains
    description: Chains Endpoints
    x-displayName: chains
  - name: collections
    description: Collections Endpoints
    x-displayName: collections
  - name: nfts
    description: NFTs Endpoints
    x-displayName: nfts
  - name: nft owners
    description: NFT Owner Endpoints
    x-displayName: nft owners
  - name: metadata
    description: NFT Metadata Endpoints
    x-displayName: metadata
  - name: tokens
    description: ERC20 Token Endpoints
    x-displayName: tokens
  - name: demopage
    description: Temporary HTML endpoint for demo purposes
    x-displayName: demopage
  - name: verification
    x-displayName: verification
  - name: operatorallowlist
    x-displayName: operatorallowlist
  - name: crafting
    x-displayName: crafting
  - name: listings
    description: Listings Endpoints
    x-displayName: listings
  - name: orders
    x-displayName: orders
  - name: passport
    description: Passport operations
    x-displayName: passport
  - name: gamefi
    description: team gamefi
    x-displayName: gamefi
  - name: health
    x-displayName: health
  - name: passport profile
    description: Passport Profile endpoints
    x-displayName: passport profile
  - name: feed-items
    x-displayName: feed-items
  - name: assets
    x-displayName: assets
  - name: guardian
    description: Guardian endpoints
    x-displayName: guardian
  - name: pricing
    description: Pricing Endpoints
    x-displayName: pricing
  - name: metadata-search
    x-displayName: metadata-search
paths:
  /v1/chains/{chain_name}/collections/{contract_address}:
    get:
      tags:
        - collections
      summary: Get collection by contract address
      description: Get collection by contract address
      operationId: GetCollection
      parameters:
        - name: contract_address
          in: path
          description: The address contract
          required: true
          schema:
            type: string
          example: '0x8a90cab2b38dba80c64b7734e58ee1db38b8992e'
        - name: chain_name
          description: The name of chain
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/ChainName'
          examples:
            testnet:
              value: imtbl-zkevm-testnet
              summary: Immutable zkEVM Public Testnet
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCollectionResult'
        '400':
          $ref: '#/components/responses/BadRequest'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    ChainName:
      type: string
      description: The name of chain
      example: imtbl-zkevm-testnet
    GetCollectionResult:
      type: object
      description: Single Collection
      properties:
        result:
          $ref: '#/components/schemas/Collection'
      required:
        - result
    Collection:
      type: object
      properties:
        chain:
          $ref: '#/components/schemas/Chain'
        name:
          type: string
          nullable: true
          description: The name of the collection
          example: '0x8a90cab2b38dba80c64b7734e58ee1db38b8992e'
        symbol:
          type: string
          nullable: true
          description: The symbol of contract
          example: BASP
        contract_type:
          $ref: '#/components/schemas/CollectionContractType'
        contract_address:
          type: string
          description: The address of the contract
          example: '0x8a90cab2b38dba80c64b7734e58ee1db38b8992e'
        description:
          type: string
          nullable: true
          description: The description of collection
          example: Some description
        image:
          type: string
          description: The url of the collection image
          example: https://some-url
          nullable: true
        external_link:
          type: string
          description: The url of external link
          example: https://some-url
          nullable: true
        contract_uri:
          type: string
          description: The uri for the metadata of the collection
          example: https://some-url
          nullable: true
        base_uri:
          type: string
          nullable: true
          description: The metadata uri for nft
          example: https://some-url
        verification_status:
          $ref: '#/components/schemas/AssetVerificationStatus'
        indexed_at:
          type: string
          format: date-time
          example: '2022-08-16T17:43:26.991388Z'
          description: When the collection was first indexed
        updated_at:
          type: string
          format: date-time
          example: '2022-08-16T17:43:26.991388Z'
          description: When the collection was last updated
        metadata_synced_at:
          type: string
          format: date-time
          nullable: true
          example: '2022-08-16T17:43:26.991388Z'
          description: When the collection metadata was last synced
      required:
        - chain
        - name
        - symbol
        - contract_type
        - contract_address
        - description
        - image
        - external_link
        - base_uri
        - metadata_uri
        - indexed_at
        - updated_at
        - metadata_synced_at
        - verification_status
    APIError400:
      allOf:
        - $ref: '#/components/schemas/BasicAPIError'
        - type: object
          properties:
            code:
              type: string
              description: Error Code
              enum:
                - VALIDATION_ERROR
              example: VALIDATION_ERROR
            details:
              type: object
              nullable: true
              description: Additional details to help resolve the error
          required:
            - code
            - details
    APIError404:
      allOf:
        - $ref: '#/components/schemas/BasicAPIError'
        - type: object
          properties:
            code:
              type: string
              description: Error Code
              enum:
                - RESOURCE_NOT_FOUND
              example: RESOURCE_NOT_FOUND
            details:
              type: object
              nullable: true
              description: Additional details to help resolve the error
          required:
            - code
            - details
    APIError500:
      allOf:
        - $ref: '#/components/schemas/BasicAPIError'
        - type: object
          properties:
            code:
              type: string
              description: Error Code
              enum:
                - INTERNAL_SERVER_ERROR
              example: INTERNAL_SERVER_ERROR
            details:
              type: object
              nullable: true
              description: Additional details to help resolve the error
          required:
            - code
            - details
    Chain:
      type: object
      description: The chain details
      properties:
        id:
          type: string
          description: The id of chain
          example: eip155:13372
        name:
          type: string
          description: The name of chain
          example: imtbl-zkevm-testnet
      required:
        - id
        - name
    CollectionContractType:
      description: The collection contract type
      type: string
      enum:
        - ERC721
        - ERC1155
    AssetVerificationStatus:
      description: The verification status for a given contract
      type: string
      enum:
        - verified
        - unverified
        - spam
        - inactive
    BasicAPIError:
      type: object
      properties:
        message:
          type: string
          description: Error Message
          example: all fields must be provided
        link:
          type: string
          description: Link to IMX documentation that can help resolve this error
          example: https://docs.x.immutable.com/reference/#/
        trace_id:
          type: string
          description: Trace ID of the initial request
          example: e47634b79a5cd6894ddc9639ec4aad26
      required:
        - message
        - link
        - trace_id
  responses:
    BadRequest:
      description: Bad Request (400)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIError400'
    NotFound:
      description: The specified resource was not found (404)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIError404'
    InternalServerError:
      description: Internal Server Error (500)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIError500'

````